<html devsite><head>
    <title>音频环回适配器</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>以下示意图和照片展示的是<a href="http://en.wikipedia.org/wiki/Phone_connector_(audio)">耳机连接器</a>的音频环回<a href="http://en.wikipedia.org/wiki/Dongle">适配器</a>，我们称之为“Dr. Rick O'Rang 音频环回适配器”。Android 音频团队根据拉尔森效应（反馈环）用其衡量<a href="measure.html#measuringRoundTrip">往返音频延迟</a>。
</p>

<h2 id="loopbackCircuit">电路</h2>

<img src="/devices/audio/images/loopback_circuit.png" alt="电路" id="figure1"/>
<p class="img-caption">
  <strong>图 1.</strong> 电路图</p>

<p>为了确保输出信号不会超出麦克风输入负荷，我们使其音量降低了约 20 分贝。麦克风极性开关可从电阻器负载得知，音频环回适配器是一种美标/CTIA 4 段式 TRRS 插头。
</p>

<h2 id="loopbackAssembled">组装完成图</h2>

<img src="/devices/audio/images/loopback_assembled.jpg" alt="完全组装" id="figure2"/>
<p class="img-caption">
  <strong>图 2. </strong> 组装完成图
</p>

</body></html>